def line(n): # computes a Pascal's triangle line
  n=n+1 ; L=[0]*n ; L[0]=1 #initializations
  for i in range(n):
    for j in range(i,0,-1): # RTL
      L[j]=L[j-1]+L[j]    # overwriting
  return L

def triangle(n): # prints Pascal's triangle
    n=n+1 ; P=[]
    L=[0]*n ; L[0]=1 #initializations
    for i in range(n):
        for j in range(i,0,-1): # RTL
          L[j]=L[j-1]+L[j]    # overwriting
          # list(L) creates a new list from L
        P.append(list(L))     
    return P

from ti_draw import *

def pt(i,j): # plot a single point
  plot_xy(1+j,1+i,7)
  
def pt2(i,j): # plot a single point
  plot_xy(160-i+2*j,1+i,7)

def t(p): # draw the triangle
  clear() ; set_color(255,0,0)
  n=p+1 ; L=[0]*n ; L[0]=1
  for i in range(n):
    for j in range(i,-1,-1):
      if j>0: L[j]=L[j-1]+L[j]
      if L[j]%2==1: pt(i,j) # or pt2(i,j)